$(document).ready(function(){

	var upcards = 0;
	
	//shuffle and place cards
		var cards = [
			'<div class="card card-down" data-id="thomas"><img src="images/card-thomas.png" alt="card" /></div>',
			'<div class="card card-down" data-id="percy"><img src="images/card-percy.png" alt="card" /></div>',
			'<div class="card card-down" data-id="gordon"><img src="images/card-gordon.png" alt="card" /></div>',
			'<div class="card card-down" data-id="james"><img src="images/card-james.png" alt="card" /></div>',
			'<div class="card card-down" data-id="thomas"><img src="images/card-thomas.png" alt="card" /></div>',
			'<div class="card card-down" data-id="percy"><img src="images/card-percy.png" alt="card" /></div>',
			'<div class="card card-down" data-id="gordon"><img src="images/card-gordon.png" alt="card" /></div>',
			'<div class="card card-down" data-id="james"><img src="images/card-james.png" alt="card" /></div>'
			];
		shuffle(cards);
		$('.cards').append(cards.join(' '));
	

	//print with recreating paper in large scale
		$(document).on('click','.card-down',function(e){
			e.preventDefault();
			
			//turn this card up
				if(upcards != 2){				
					$(this).removeClass('card-down').addClass('card-up');
					
					//play audio
					document.getElementById('audio-turn').play();
					
					upcards++;
					
					//if it's the second card, wait a bit then hide cards again
						if(upcards == 2){
							//check if the two cards are the same
							
							var getids = new Array();
							$('.card-up').each(function(){								
								getids.push( $(this).attr('data-id') );
							});
														
							
							if(getids[0] == getids[1]){
							//if the same: play sound, wait and hide them
								document.getElementById('audio-win').play();
							
								setTimeout(function(){ 
									upcards = 0;
									$('.card-up').removeClass('card-up').addClass('card-off');
									
									//if there are no more cards, show winning
										if($('.card-off').length == 8){
											$('.cards').remove();
											$('.win').css('display','block');
										}
									
								}, 1000);									
								
							
							}else{
							//if not the same, turn them down
								setTimeout(function(){ 
									upcards = 0;
									$('.card:not(.card-off)').removeClass('card-up').addClass('card-down');
								}, 1000);							
								
							}
																
						}
				}
			
		});
		
		
});



function shuffle(array) {
	var currentIndex = array.length, temporaryValue, randomIndex ;

	// While there remain elements to shuffle...
	while (0 !== currentIndex) {

		// Pick a remaining element...
		randomIndex = Math.floor(Math.random() * currentIndex);
		currentIndex -= 1;

		// And swap it with the current element.
		temporaryValue = array[currentIndex];
		array[currentIndex] = array[randomIndex];
		array[randomIndex] = temporaryValue;
	}

	return array;
}